Opened 5 years ago

Last modified 2 years ago

#18514 closed defect

Upgrade of group cohomology spkg — at Initial Version

Reported by: SimonKing Owned by:
Priority: major Milestone: sage-8.3
Component: packages: optional Keywords: group cohomology
Cc: jhpalmiery, vbraun, jdemeyer, schilly, frederichan, david.green@… Merged in:
Authors: Simon King Reviewers:
Report Upstream: None of the above - read trac for reasoning. Work issues:
Branch: Commit:
Dependencies: Stopgaps:

Description

The current "official" version of p_group_cohomology is 2.1.4. However, due to recent backward incompatible changes in Sage, the package would not install, respectively it would install if some header were present but wouldn't work.

Hence, an upgrade is needed. While I was at it, I have also improved the computation of Poincaré series, depth and filter degree type (the latter now uses a Hilbert-driven computation of Gröbner bases in elimination order, which works since in that setting the Hilbert function is easily available), and I added new functionality related with nilpotency.

The new spkg is at http://sage.math.washington.edu/home/SimonKing/Cohomology/p_group_cohomology-2.1.5.spkg

Change History (0)

Note: See TracTickets for help on using tickets.